IBM Support

Security Bulletin: IBM DataPower Gateway is affected by a script injection vulnerability (CVE-2018-1667)

Security Bulletin


Summary

IBM DataPower Gateway has addressed the following vulnerability:
CVE-2018-1667

Vulnerability Details

CVEID: CVE-2018-1667
DESCRIPTION: IBM WebSphere DataPower Appliances is vulnerable to cross-site scripting. This vulnerability allows users to embed arbitrary JavaScript code in the Web UI thus altering the intended functionality potentially leading to credentials disclosure within a trusted session.
CVSS Base Score: 5.4
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/144893 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:N)

 

Affected Products and Versions

 

Affected IBM DataPower Gateway Affected Versions
IBM DataPower Gateway 7.7.0.0-7.7.1.3
IBM DataPower Gateway 7.6.0.0-7.6.0.10
IBM DataPower Gateway 7.5.2.0-7.5.2.17
IBM DataPower Gateway 7.5.1.0-7.5.1.17
IBM DataPower Gateway 7.5.0.0-7.5.0.18

Remediation/Fixes

 

Product VRMF APAR Remediation / First Fix
IBM DataPower Gateway 2018.4.1.0 IT26335 Install the fix pack.
IBM DataPower Gateway 7.6.0.11 IT26335 Install the fix pack.
IBM DataPower Gateway 7.5.2.18 IT26335 Install the fix pack.
IBM DataPower Gateway 7.5.1.18 IT26335 Install the fix pack.
IBM DataPower Gateway 7.5.0.19 IT26335 Install the fix pack.

For DataPower customers using versions 7.2.0 and earlier versions, IBM recommends upgrading to a fixed, supported version/release/platform of the product.

Workarounds and Mitigations

None

Monitor IBM Cloud Status for Future Security Bulletins

Monitor the security notifications on the IBM Cloud Status page to be advised of future security bulletins.

References

Off

Acknowledgement

Srinivasarao Kotipalli & Jeremy Soh

Change History

7 December 2018: Initial version published

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES ""AS IS"" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

[{"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Product":{"code":"SS9H2Y","label":"IBM DataPower Gateway"},"Component":"","Platform":[{"code":"PF009","label":"Firmware"}],"Version":"All Versions","Edition":"","Line of Business":{"code":"LOB45","label":"Automation"}}]

Document Information

Modified date:
11 December 2018

UID

ibm10744209